Intstallation - MAJ Dolibar

Bonjour à tous,

Je viens juste de prendre en charge un projet de migration DOLIBAR 3.4.1 vers 11.01 ou 11.04
J’ai lu un certain nombre de message sur le sujet et j’aimerais un avis sur les prérequis
En tout premier lieu, la version DOLIBAR installé est la 3.4.1.
Je souhaite faire évoluer la version vers la dernière, à savoir la 11.01.

Je compte donc installer la version actuelle en local sur mon PC et procéder à une maj étape par étape en partant de l’installation
J’ai lu beaucoup de post sur le sujet. Néanmoins, si celà est possible, quelques conseils sur le sujet seraient les bienvenus.

merci d’avance

Bonjour,

Pour vous aider, il nous faut déjà le système d’exploitation que vous allez utiliser.
Ensuite, si vous avez fouillé dans le forum, vous avez certainement vu des posts où des liens vers le wiki, et en particulier la mise à jour depuis une ancienne version, sont indiqués.

Commencez peut-être déjà par cela. Vous êtes nouveau, et donc on serait tenté de vous répondre, mais le sujet a tellement été abordé, que cela devient épuisant de demander a chaque fois : votre système, hébergement local … Enfin bref des infos que vous ne donnez pas.

Commencez donc par la doc officiel.

Bon courage

Frédéric

Bonjour,

Je comprend ta reaction mais c’est mieux avec un peut de tact. Il a peut etre lu la doc mais besoin de retour d’expérience.

Il faut acceuillir pour fédérer autour du projet pour donner envie et grandir!

J’adore le projet et la communauté mais je vois trop de message comme celui-ci expeditif!

Bonjour,

@BB2A, cette fois-ci, j’y ai mis du tact. Sans être expéditif.
Je ne m’étendrai pas plus.

Belle journée

C’est vrai je confirme :joy::grin:

ok. Merci pour votre aide

Bonjour,
Votre démarche qui consiste à upgrader « étape par étape » est la bonne AVEC le petit conseil suivant:
Prenez le temps de lire les messages qui sont affichés car quelque fois on vous demande de supprimer des fichiers et il est bon de le faire !

Bon courage et pas de panique, gardez une sauvegarde au cas où et lancez vous, en général tout se passe bien .

Bonjour à tous,

J’ai une longue expérience de l’informatique. J’ai même donné des cours en php même si c’est pas trop mon truc. Je viens d’un monde UNIX. Linux n’a plus trop de secret pour moi même si mes dernières missions m’ont plutôt conduit à de la traduction technique et au pilotage de projet autour de java et angular. Pour les erp, j’ai approché SAP, sage, yanuno et les solutions microsoft. A une époque, j’étais même un peu sur un truc qui s’appelait open ERP. Ca vous donne une idée de mon âge. Soyez rassuré, je comprends l’énervement à force de rabacher les mêmes choses mais en même temps ça fait partie du travail, de la vie tout simplement. Je voulais juste quelques pistes globales de démarrage et tater le terrain des réactions.
Après étude du projet de la société pour laquelle je travaille, et un peu de recherche sur dolibarr, j’ai commencé par faire une install basique de 3.4.1 en local sur mon pc sous windows 10. Je préfère installer chaque brique en général (Apache, mysql, php…) mais bon la j’ai pris le truc intégré. Pas très grave pour procéder à un uprgrade. J’ai récupéré les dump mysql et site dolibarr du prestataire de service qui lui fonctionne sous linux. Une debian je crois. Suis pas sûr. Ils ont pas l’air de trop maîtriser le truc. c’est juste un hébergement sans gestion. Classique quoi. La société qui avait fait l’install de dolibarr ici avait développé un module complémentaire. Je l’ai récupéré dans ma nouvelle install. Les suffixes de tables avaient été personalisés aussi. Je n’ai plus maintenant qu à importer les données dans mysql et procéder à la mise à jour étape par étape. Ensuite, il faut que je mette en place le muti société qui ne semble pas exister de base dans la 3.4.1. C’est d’ailleurs la raison de la migration. (les idée sont bienvenus sur le sujet mais j’irai piocher dans les ressources ). Nous sommes une société de portage salarial - environ 50 salariés - et la gérante trouve dolibarr vraiment intéressant. A moi de prouver qu on peut avancer plus en avant avec l’outil. Elle l’utilise exclusivement sur la partie facturation mais le suivi à proprement CRM n’est pas vraiment utilisé.
Il suffit quelquefois, sur un outil que l’on ne connait pas, d’attraper un bout de ficelle tendue par les spécialistes du domaine pour avancer plus en avant. Je vous tiendrai informé de l’évolution. merci en tout cas des messages de soutien. :wink:

Bonjour,

Vous avez raison! Mais parfois quand on a le « nez dans le guidon » on ne prend pas le recule nécessaire.

Si vous avez la possibilité effectivement une installation de chaque brique est préférable pour les performances global du système.

Il faudrait aussi récupérer le dossier « document » pour que la sauvegarde soit complète.

Attention, de ce coté la monté en version peut poser problème au module, la structure des modules complémentaire est resté à peu prêt la même mais certains procédure ont changés de noms ou de nombre d’arguments… Vous risquez d’avoir un peu de travail.

Vous pouvez installer directement la dernière version et l’installateur Dolibarr va vous proposer de faire les montés version par version.

Le multi société est un module externe : https://www.dolistore.com/fr/modules/69-Multi-soci--t--.html

Nickel. J’ai effectué la maj à partir de doliwanp en passant de 3.4 à 11.04. Tout s’est déroulé correctement donc merci pour les scripts de qualité. Même le module complémentaire semble fonctionner même si il semble que quelques ajustements de présentation devront être fait. C’était une expérience réussie. Je reprends tout en installation manuelle. A ce sujet je vois sur le site d’installation manuelle le fait avec mariaDB. est ce possible avec mysql aussi ? Merci

Mysql et MariaDB sont relativement permutables, il ne devrait pas y avoir de surprise.

Bonjour,

J’ai un petit souci avec curl . En effectuant une installation à partir des instructions données dans le wiki.
Environnement windows 10 home edition . apache 2.4. Php 7.4.6. php.ini modifié normalement correctement. Liste des dll recopiée dans le répertoire bin apache. Variable d’environnement windows modifiée . Invariablement le module install m’indique

Votre version de PHP ne supporte pas l’extension Curl
Je vais essayer de passer à un php 7.2 . sait on jamais. A moins que quel’un ait rencontré le souci.

Cordialement

Bonjour,
C’est typiquement un module de PHP qui manque. Changer de version de PHP n’est la bonne solution.
Je ne connais pas comment ça se passe sous Windows.

oui. En réalité j’avais juste oublié de décommenté les deux lignes suivantes dans le php.ini
; Directory in which the loadable extensions (modules) reside.
; http://php.net/extension-dir
extension_dir = "./"
; On windows:
extension_dir = "ext"

Pour ceux qui suivrait le tutoriel installation manuelle sous windows, au demeurant très bien fait, n’oubliez pas de décommenter ces deux lignes . Il me semble que ce n’est pas indiqué dans le tutoriel qui doit supposer une bonne connaissance du php.ini.

Note : Peut être a indiquer sur une version upgrasée

Portage effectué sans problème sur le serveur. Merci à tous pour votre aide. On va passer sur le fonctionnel et l’installation du module multi-société.Plus paramétrage de base de l’application etc etc etc … :slightly_smiling_face: